Customer Listing EndpointDEPRECATED
Cost10 credits / Company Profile URL for users on an annual subscription or Enterprise planGet a list of probable customers of the target company. Available for users on an annual subscription or Enterprise plan.
Authorization
BearerAuth clientAuthorizationBearer <token>
In: header
Scope: client
Query Parameters
company_profile_url?string
The Profile URL of the company from which you want to get a list of customers of.
One of
company_profile_url | twitter_profile_urltwitter_profile_url?string
The Twitter/X Profile URL belonging to the company that you want to get a list of customers of. URL should be in the format of https://x.com/<public-identifier>
One of
company_profile_url | twitter_profile_urlpage_size?string
Limit the maximum results of customer companies returned per API call. The default value of this parameter is 10. Accepted values for this parameter is an integer ranging from 0 to 1000.
Response Body
application/json
curl -X GET "https://enrichlayer.com/api/v2/customers?company_profile_url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fwatsons&twitter_profile_url=https%3A%2F%2Fx.com%2Fwatsonsproperty&page_size=10"{
"companies": [
{
"linkedin_company_profile_url": "https://www.linkedin.com/company/spire-solicitors-llp",
"twitter_profile_url": "https://twitter.com/spirellp",
"email": "[email protected]"
},
{
"linkedin_company_profile_url": "https://www.linkedin.com/company/mall-wood-insurance-services-ltd",
"twitter_profile_url": "https://twitter.com/draytonins",
"email": null
}
],
"next_page": null,
"update_url": "https://enrichlayer.com/api/pc/customers?linkedin_company_profile_url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fwatsons&after=mall-wood-insurance-services-ltd"
}Empty
Empty
Empty
Empty
Empty
Empty
Empty